routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', 'HomeController@index')->name('home');
Route::get('suspended', 'UserController@suspended')->name('suspended');

Route::group(['prefix' => '@{username}', 'as' => 'user.'], function () {
    Route::get('', 'UserController@profile')->name('done');
    Route::get('pending', 'UserController@profile')->name('pending');
    Route::get('products', 'UserController@profile')->name('products');
    Route::get('questions', 'UserController@profile')->name('questions');
    Route::get('answers', 'UserController@profile')->name('answers');
    Route::get('following', 'UserController@profile')->name('following');
    Route::get('followers', 'UserController@profile')->name('followers');
});

Route::group(['prefix' => 'settings', 'as' => 'user.settings.', 'middleware' => ['auth']], function () {
    Route::get('', 'UserController@profileSettings')->name('profile');
    Route::get('account', 'UserController@accountSettings')->name('account');
    Route::get('patron', 'UserController@patronSettings')->name('patron');
    Route::get('password', 'UserController@passwordSettings')->name('password');
    Route::get('notifications', 'UserController@notificationsSettings')->name('notifications');
    Route::get('integrations', 'UserController@integrationsSettings')->name('integrations');
    Route::get('export', 'UserController@exportAccount')->name('export');
    Route::get('delete', 'UserController@deleteSettings')->name('delete');
});

Route::group(['prefix' => 'webhook'], function () {
    Route::post('web/{token}', 'WebhookController@web');
    //Route::post('github/{token}', 'WebhookController@github');
});

Route::get('login/{provider}', 'SocialController@redirect');
Route::get('login/{provider}/callback', 'SocialController@Callback');

Route::group(['prefix' => 'product/{slug}', 'as' => 'product.'], function () {
    Route::get('', 'ProductController@profile')->name('done');
    Route::get('pending', 'ProductController@profile')->name('pending');
    Route::get('updates', 'ProductController@profile')->name('updates');
    Route::get('updates/new', 'ProductController@newUpdate')->name('new-update')->middleware('auth');
});

Route::group(['prefix' => 'products', 'as' => 'products.'], function () {
    Route::get('', 'ProductController@newest')->name('newest');
    Route::get('launched', 'ProductController@launched')->name('launched');
});

Route::group(['prefix' => 'questions', 'as' => 'questions.'], function () {
    Route::get('', 'QuestionController@newest')->name('newest');
    Route::get('unanswered', 'QuestionController@unanswered')->name('unanswered');
    Route::get('popular', 'QuestionController@popular')->name('popular');
});

Route::group(['prefix' => 'question', 'as' => 'question.'], function () {
    Route::get('{id}', 'QuestionController@question')->name('question');
});

Route::group(['prefix' => 'notifications', 'as' => 'notifications.', 'middleware' => ['auth']], function () {
    Route::get('', 'NotificationController@unread')->name('unread');
    Route::get('all', 'NotificationController@all')->name('all');
});

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['staff']], function () {
    Route::get('', 'AdminController@admin')->name('stats');
    Route::get('users', 'AdminController@users')->name('users');
    Route::get('adminbar', 'AdminController@toggle')->name('adminbar');
});

Route::group(['prefix' => 'patron', 'as' => 'patron.'], function () {
    Route::get('', 'PatronController@patron')->name('home');
});

// Toggles
Route::get('darkmode', 'UserController@darkMode')->name('darkmode')->middleware('patron');

Route::get('task/{id}', 'TaskController@task')->name('task');

Route::get('tasks', 'TaskController@tasks')->name('tasks')->middleware('auth');

Route::get('streaks/{username}', 'StatsController@streaks')->name('streak');

Route::group(['prefix' => 'search', 'as' => 'search.'], function () {
    Route::get('', 'SearchController@search')->name('home');
    Route::get('tasks', 'SearchController@tasks')->name('tasks');
    Route::get('comments', 'SearchController@comments')->name('comments');
    Route::get('questions', 'SearchController@questions')->name('questions');
    Route::get('answers', 'SearchController@answers')->name('answers');
    Route::get('products', 'SearchController@products')->name('products');
    Route::get('users', 'SearchController@users')->name('users');
});

// Pages
Route::get('about', 'PagesController@about')->name('about');
Route::get('reputation', 'PagesController@reputation')->name('reputation');
Route::get('terms', 'PagesController@terms')->name('terms');
Route::get('privacy', 'PagesController@privacy')->name('privacy');
Route::get('security', 'PagesController@security')->name('security');
Route::get('open', 'PagesController@open')->name('open');
Route::get('deals', 'PagesController@deals')->name('deals');

Route::post('paddle/webhook', 'PatronController@handleWebhook')->name('paddle.webhook');

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Models\Answer;
use App\Models\Comment;
use App\Models\Patron;
use App\Models\Product;
use App\Models\ProductUpdate;
use App\Models\Question;
use App\Models\Task;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

class UserController extends Controller
{
    public function profile($username)
    {
        $user = User::select(
                'id',
                'username',
                'firstname',
                'lastname',
                'avatar',
                'bio',
                'location',
                'company',
                'website',
                'twitter',
                'twitch',
                'github',
                'telegram',
                'youtube',
                'isStaff',
                'isDeveloper',
                'isBeta',
                'isPatron',
                'darkMode',
                'reputation',
                'isPrivate',
                'isFlagged',
                'isSuspended',
                'lastIP',
                'updated_at',
            )
            ->where('username', $username)->firstOrFail();
        $type = Route::current()->getName();

        $response = [
            'user' => $user,
            'type' => $type,
            'done_count' => Task::where([['user_id', $user->id], ['done', true]])
                ->count('id'),
            'pending_count' => Task::where([['user_id', $user->id], ['done', false]])
                ->count('id'),
            'product_count' => Product::where('user_id', $user->id)
                ->count('id'),
            'question_count' => Question::where('user_id', $user->id)
                ->count('id'),
            'answer_count' => Answer::where('user_id', $user->id)
                ->count('id'),
        ];

        if (Auth::check() && Auth::id() === $user->id or Auth::check() && Auth::user()->staffShip) {
            return view($type, $response);
        } elseif ($user->isFlagged) {
            return view('errors.404');
        }

        return view($type, $response);
    }

    public function profileSettings()
    {
        $user = Auth::user();

        return view('user.settings.profile', [
            'user' => $user,
        ]);
    }

    public function accountSettings()
    {
        $user = Auth::user();

        return view('user.settings.account', [
            'user' => $user,
        ]);
    }

    public function patronSettings()
    {
        $user = Auth::user();

        return view('user.settings.patron', [
            'user' => $user,
        ]);
    }

    public function passwordSettings()
    {
        $user = Auth::user();

        return view('user.settings.password', [
            'user' => $user,
        ]);
    }

    public function notificationsSettings()
    {
        $user = Auth::user();

        return view('user.settings.notifications', [
            'user' => $user,
        ]);
    }

    public function exportAccount()
    {
        if (Auth::check()) {
            $account = User::find(Auth::id());
            $tasks = Task::where('user_id', Auth::id())->get();
            $comment = Comment::where('user_id', Auth::id())->get();
            $products = Product::where('user_id', Auth::id())->get();
            $product_updates = ProductUpdate::where('user_id', Auth::id())->get();
            $questions = Question::where('user_id', Auth::id())->get();
            $answers = Answer::where('user_id', Auth::id())->get();
            $patron = Patron::where('user_id', Auth::id())->get();
            $data = collect([
                'account' => $account,
                'tasks' => $tasks,
                'comments' => $comment,
                'products' => $products,
                'product_updates' => $product_updates,
                'questions' => $questions,
                'answers' => $answers,
                'patron' => $patron,
            ])->toJson(JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);

            $file_name = Carbon::now()->format('d_m_Y_h_i_s').'_'.$account->username.'_data.json';
            $response = response($data, 200, [
                'Content-Type' => 'application/json',
                'Content-Disposition' => 'attachment; filename="'.$file_name.'"',
            ]);

            return $response;
        } else {
            return session()->flash('error', 'Forbidden!');
        }
    }

    public function integrationsSettings()
    {
        $user = Auth::user();

        return view('user.settings.integrations', [
            'user' => $user,
        ]);
    }

    public function deleteSettings()
    {
        $user = Auth::user();

        return view('user.settings.delete', [
            'user' => $user,
        ]);
    }

    public function darkMode()
    {
        $user = Auth::user();
        if ($user->darkMode) {
            $user->darkMode = false;
            $user->save();

            return 'disabled';
        } else {
            $user->darkMode = true;
            $user->save();

            return 'enabled';
        }
    }

    public function suspended()
    {
        return view('auth.suspended');
    }
}

app/Http/Livewire/User/Answers.php
<?php

namespace App\Http\Livewire\User;

use App\Models\Answer;
use Livewire\Component;

class Answers extends Component
{
    public $user_id;

    public function mount($user)
    {
        $this->user_id = $user->id;
    }

    public function render()
    {
        $answers = Answer::where('user_id', $this->user_id)
            ->latest()
            ->paginate(20);

        return view('livewire.user.answers', [
            'answers' => $answers,
        ]);
    }
}

app/Http/Livewire/User/Follow.php
<?php

namespace App\Http\Livewire\User;

use App\Notifications\Followed;
use GrahamCampbell\Throttle\Facades\Throttle;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Request;
use Livewire\Component;

class Follow extends Component
{
    public $user;

    public function mount($user)
    {
        $this->user = $user;
    }

    public function followUser()
    {
        $throttler = Throttle::get(Request::instance(), 10, 5);
        $throttler->hit();
        if (! $throttler->check()) {
            return session()->flash('error', 'Please slow down!');
        }

        if (Auth::check()) {
            if (Auth::user()->isFlagged) {
                return session()->flash('error', 'Your account is flagged!');
            }
            if (Auth::id() === $this->user->id) {
                return session()->flash('error', 'You can\'t follow yourself!');
            } else {
                Auth::user()->toggleFollow($this->user);
                $this->user->refresh();
                if (Auth::user()->isFollowing($this->user)) {
                    $this->user->notify(new Followed(Auth::user()));
                }
            }
        } else {
            return session()->flash('error', 'Forbidden!');
        }
    }

    public function render()
    {
        return view('livewire.user.follow');
    }
}

app/Http/Livewire/User/Followers.php
<?php

namespace App\Http\Livewire\User;

use Livewire\Component;

class Followers extends Component
{
    public $user;

    public function mount($user)
    {
        $this->user = $user;
    }

    public function render()
    {
        return view('livewire.user.followers');
    }
}

app/Http/Livewire/User/Following.php
<?php

namespace App\Http\Livewire\User;

use Livewire\Component;

class Following extends Component
{
    public $user;

    public function mount($user)
    {
        $this->user = $user;
    }

    public function render()
    {
        return view('livewire.user.following');
    }
}

app/Http/Livewire/User/LoadMore.php
<?php

namespace App\Http\Livewire\User;

use App\Models\Task;
use Livewire\Component;

class LoadMore extends Component
{
    public $listeners = [
        'taskAdded' => 'render',
    ];

    public $user;
    public $type;
    public $page;
    public $loadMore;

    public function mount($user, $type, $page = 1)
    {
        $this->user = $user;
        $this->type = $type;
        $this->page = $page + 1;
        $this->loadMore = false;
    }

    public function loadMore()
    {
        $this->loadMore = true;
    }

    public function render()
    {
        if ($this->loadMore) {
            $tasks = Task::select('id', 'task', 'done', 'created_at', 'done_at', 'user_id')
                ->where([
                    ['user_id', $this->user->id],
                    ['done', $this->type === 'user.done' ? true : false],
                ])
                ->orderBy('done_at', 'desc')
                ->paginate(20, null, null, $this->page);

            return view('livewire.user.tasks', [
                'tasks' => $tasks,
            ]);
        } else {
            return view('livewire.load-more');
        }
    }
}

app/Http/Livewire/User/Products.php
<?php

namespace App\Http\Livewire\User;

use App\Models\Product;
use Livewire\Component;

class Products extends Component
{
    public $user_id;

    public function mount($user)
    {
        $this->user_id = $user->id;
    }

    public function render()
    {
        $products = Product::where('user_id', $this->user_id)
            ->paginate(20);

        return view('livewire.user.products', [
            'products' => $products,
        ]);
    }
}

app/Http/Livewire/User/Questions.php
<?php

namespace App\Http\Livewire\User;

use App\Models\Question;
use Livewire\Component;

class Questions extends Component
{
    public $user_id;

    public function mount($user)
    {
        $this->user_id = $user->id;
    }

    public function render()
    {
        $questions = Question::where('user_id', $this->user_id)
            ->latest()
            ->paginate(20);

        return view('livewire.user.questions', [
            'questions' => $questions,
        ]);
    }
}

app/Http/Livewire/User/Settings/Delete.php
<?php

namespace App\Http\Livewire\User\Settings;

use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Delete extends Component
{
    public $user;
    public $confirming;

    public function mount($user)
    {
        $this->user = $user;
    }

    public function confirmDelete()
    {
        if (Auth::check()) {
            $this->confirming = $this->user->id;
        } else {
            return session()->flash('error', 'Forbidden!');
        }
    }

    public function deleteAccount()
    {
        if (Auth::check()) {
            $user = User::find($this->user->id);
            $user->likes()->delete();
            $user->delete();

            return redirect()->route('home');
        } else {
            return session()->flash('error', 'Forbidden!');
        }
    }

    public function render()
    {
        return view('livewire.user.settings.delete');
    }
}

app/Http/Livewire/User/Tasks.php
<?php

namespace App\Http\Livewire\User;

use App\Models\Task;
use Livewire\Component;

class Tasks extends Component
{
    public $listeners = [
        'taskAdded' => 'render',
        'taskDeleted' => 'render',
        'taskChecked' => 'render',
    ];

    public $user;
    public $type;
    public $page;

    public function mount($user, $type, $page)
    {
        $this->user = $user;
        $this->type = $type;
        $this->page = $page ? $page : 1;
    }

    public function render()
    {
        $tasks = Task::select('id', 'task', 'done', 'type', 'created_at', 'done_at', 'user_id', 'product_id', 'source')
            ->where([
                ['user_id', $this->user->id],
                ['done', $this->type === 'user.done' ? true : false],
            ])
            ->orderBy('done_at', 'desc')
            ->paginate(20, null, null, $this->page);

        return view('livewire.user.tasks', [
            'tasks' => $tasks,
            'page' => $this->page,
        ]);
    }
}

resources/views/user/answers.blade.php
@extends('layouts.app')

@php
if ($user->lastname and $user->lastname) {
    $name = '('.$user->firstname.' '.$user->lastname.')';
} else if ($user->firstname) {
    $name = '('.$user->firstname.')';
} else {
    $name = '';
}
@endphp

@section('pageTitle', $user->username.' '.$name.' / Answers ·')
@section('title', $user->username.' '.$name.' / Answers ·')
@section('title', $user->username.' ('.$name.') ·')
@section('description', $user->bio)
@section('image', $user->avatar)
@section('url', url()->current())

@section('content')
<div class="container">
    @include('user.profile')
    <div class="row justify-content-center mt-4">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    @livewire('user.answers', [
                        'user' => $user
                    ])
                </div>
                @include('user.sidebar')
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/user/done.blade.php
@extends('layouts.app')

@php
if ($user->lastname and $user->lastname) {
    $name = '('.$user->firstname.' '.$user->lastname.')';
} else if ($user->firstname) {
    $name = '('.$user->firstname.')';
} else {
    $name = '';
}
@endphp

@section('pageTitle', $user->username.' '.$name.' ·')
@section('title', $user->username.' '.$name.' ·')
@section('description', $user->bio)
@section('image', $user->avatar)
@section('url', url()->current())

@section('content')
<div class="container">
    @include('user.profile')
    <div class="row justify-content-center mt-4">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    @auth
                    @if (Auth::id() === $user->id && !$user->isFlagged)
                        @livewire('create-task', [
                            'type' => 'user',
                            'product_id' => null,
                        ])
                    @endif
                    @endauth
                    @if (
                        !$user->isPrivate or
                        Auth::id() === $user->id or
                        Auth::check() && Auth::user()->staffShip
                    )
                    @livewire('user.tasks', [
                        'type' => 'user.done',
                        'user' => $user,
                        'page' => 1,
                        'perPage' => 3
                    ])
                    @else
                    @include('components.empty', [
                        'icon' => 'lock',
                        'text' => 'All tasks are private',
                    ])
                    @endif
                </div>
                @include('user.sidebar')
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/user/followers.blade.php
@extends('layouts.app')

@php
if ($user->lastname and $user->lastname) {
    $name = '('.$user->firstname.' '.$user->lastname.')';
} else if ($user->firstname) {
    $name = '('.$user->firstname.')';
} else {
    $name = '';
}
@endphp

@section('pageTitle', $user->username.' '.$name.' / Followers ·')
@section('title', $user->username.' '.$name.' / Followers ·')
@section('title', $user->username.' ('.$name.') ·')
@section('description', $user->bio)
@section('image', $user->avatar)
@section('url', url()->current())

@section('content')
<div class="container">
    @include('user.profile')
    <div class="row justify-content-center mt-4">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    @livewire('user.followers', ['user' => $user])
                </div>
                @include('user.sidebar')
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/user/profile.blade.php
<div class="card">
    @auth
    @if (Auth::user()->isStaff && $user->isFlagged)
        <div class="p-4 pb-0">
            <div class="alert alert-danger alert-dismissible">
                This user is flagged
                {{ $user->isSuspended ? 'and suspended' : '' }}
                as spammy!
            </div>
        </div>
    @endif
    @endauth
    <div class="row">
        <div class="col-md-7">
            <div class="card-body d-flex align-items-center">
                <img class="rounded-circle avatar-120" src="{{ $user->avatar }}" />
                <div class="ml-4">
                    <div class="h5 mb-0">
                        @if ($user->firstname or $user->lastname)
                            {{ $user->firstname }}{{ ' '.$user->lastname }}
                        @else
                            {{ $user->username }}
                        @endif
                        @auth
                        @if (Auth::user()->staffShip)
                            <span class="ml-2 text-secondary small">#{{ $user->id }}</span>
                        @endif
                        @endauth
                        @if ($user->isPatron)
                            <a class="ml-2 small" href="{{ route('patron.home') }}" title="Patron">
                                {{ Emoji::handshake() }}
                            </a>
                        @endif
                        @auth
                        @if ($user->isFollowing(Auth::user()))
                            <span class="ml-2 badge bg-light text-black-50">Follows you</span>
                        @endif
                        @endauth
                    </div>
                    <div class="text-black-50 mb-2">
                        {{ "@" . $user->username }}
                    </div>
                    @livewire('user.follow', [
                        'user' => $user
                    ])
                    @if ($user->bio)
                    <div class="mt-3">
                        {{ $user->bio }}
                    </div>
                    @endif
                    <div class="small mt-3">
                        <span>
                            <i class="fa fa-calendar-alt mr-1 text-black-50"></i>
                            Joined {{ Carbon::parse($user->created_at)->format("F Y") }}
                        </span>
                        @if ($user->location)
                        <span class="ml-3">
                            <a class="text-dark" target="_blank" rel="noreferrer" href="https://www.google.com/maps/search/{{ urlencode($user->location) }}">
                                <i class="fa fa-compass mr-1 text-black-50"></i>
                                {{ $user->location }}
                            </a>
                        </span>
                        @endif
                        @if ($user->company)
                        <span class="ml-3">
                            <i class="fa fa-briefcase mr-1 text-black-50"></i>
                            {{ $user->company }}
                        </span>
                        @if ($user->isStaff)
                        <span class="badge rounded-pill bg-primary ml-1">Staff</span>
                        @endif
                        @endif
                    </div>
                </div>
            </div>
        </div>
        <div class="col-sm">
            <div class="card-body">
                <div class="h5">Highlights</div>
                <div class="mt-3">
                    <div>
                        <span class="font-weight-bold">{{ Emoji::fire() }} {{ number_format($user->getPoints(true)) }}</span>
                        {{ $user->getPoints(true) < 2 ? 'Reputation' : 'Reputations' }}
                    </div>
                    @if (Auth::check() && Auth::id() === $user->id)
                    <div class="mt-2">
                        <span>{{ Emoji::blossom() }} You are a</span>
                        <span class="font-weight-bold">{{ count($user->badges) === 0 ? 'Beginner' : $user->badges->last()->name }}</span>
                    </div>
                    @else
                    <div class="mt-2">
                        <span>{{ Emoji::blossom() }} {{ $user->username }} is a</span>
                        <span class="font-weight-bold">{{ count($user->badges) === 0 ? 'Beginner' : $user->badges->last()->name }}</span>
                    </div>
                    @endif
                    @if ($user->isBeta)
                    <div class="mt-2">
                        <span class="font-weight-bold">{{ Emoji::testTube() }} Beta Program Member</span>
                    </div>
                    @endif
                    @if ($user->isDeveloper)
                    <div class="mt-2">
                        <span class="font-weight-bold">{{ Emoji::checkBoxWithCheck() }} Taskord Code Contributor</span>
                    </div>
                    @endif
                </div>
            </div>  
        </div>
    </div>
    <div class="card-footer text-muted">
        @if (
            !$user->isPrivate or
            Auth::id() === $user->id or
            Auth::check() && Auth::user()->staffShip
        )
        <a class="text-dark font-weight-bold mr-4" href="{{ route('user.done', ['username' => $user->username]) }}">
            <span class="@if (Route::currentRouteName() === 'user.done') text-primary @endif">Done</span>
            <span class="small font-weight-normal text-black-50">{{ number_format($done_count) }}</span>
        </a>
        <a class="text-dark font-weight-bold mr-4" href="{{ route('user.pending', ['username' => $user->username]) }}">
            <span class="@if (Route::currentRouteName() === 'user.pending') text-primary @endif">Pending</span>
            <span class="small font-weight-normal text-black-50">{{ number_format($pending_count) }}</span>
        </a>
        @endif
        <a class="text-dark font-weight-bold mr-4" href="{{ route('user.products', ['username' => $user->username]) }}">
            <span class="@if (Route::currentRouteName() === 'user.products') text-primary @endif">Products</span>
            <span class="small font-weight-normal text-black-50">{{ number_format($product_count) }}</span>
        </a>
        <a class="text-dark font-weight-bold mr-4" href="{{ route('user.questions', ['username' => $user->username]) }}">
            <span class="@if (Route::currentRouteName() === 'user.questions') text-primary @endif">Questions</span>
            <span class="small font-weight-normal text-black-50">{{ number_format($question_count) }}</span>
        </a>
        <a class="text-dark font-weight-bold mr-4" href="{{ route('user.answers', ['username' => $user->username]) }}">
            <span class="@if (Route::currentRouteName() === 'user.answers') text-primary @endif">Answers</span>
            <span class="small font-weight-normal text-black-50">{{ number_format($answer_count) }}</span>
        </a>
        @auth
        @if (Auth::user()->staffShip)
        <a class="text-dark font-weight-bold mr-4" href="">
            Stats
        </a>
        @endif
        @endauth
    </div>
</div>

resources/views/user/sidebar.blade.php
<div class="col-sm">
    @auth
    @if (Auth::user()->staffShip)
        @livewire('user.moderator', [
            'user' => $user
        ])
    @endif
    @endauth
    @if ($user->website or $user->twitter or $user->twitch or $user->telegram or $user->github or $user->youtube)
    <div class="card mb-4">
        <div class="card-header">
            Social
        </div>
        <ul class="list-group list-group-flush">
            @if ($user->website)
            <a class="list-group-item link-dark" href="{{ $user->website }}">
                <i class="fa fa-link mr-1"></i>
                {{ Helper::removeProtocol($user->website) }}
            </a>
            @endif
            @if ($user->twitter)
            <a class="list-group-item link-dark" href="https://twitter.com/{{ $user->twitter }}">
                <i class="fa fa-twitter mr-1"></i>
                {{ $user->twitter }}
            </a>
            @endif
            @if ($user->twitch)
            <a class="list-group-item link-dark" href="https://twitch.tv/{{ $user->twitch }}">
                <i class="fa fa-twitch mr-1"></i>
                {{ $user->twitch }}
            </a>
            @endif
            @if ($user->telegram)
            <a class="list-group-item link-dark" href="https://t.me/{{ $user->telegram }}">
                <i class="fa fa-telegram mr-1"></i>
                {{ $user->telegram }}
            </a>
            @endif
            @if ($user->github)
            <a class="list-group-item link-dark" href="https://github.com/{{ $user->github }}">
                <i class="fa fa-github mr-1"></i>
                {{ $user->github }}
            </a>
            @endif
            @if ($user->youtube)
            <a class="list-group-item link-dark" href="https://youtube.com/{{ $user->youtube }}">
                <i class="fa fa-youtube mr-1"></i>
                {{ $user->youtube }}
            </a>
            @endif
        </ul>
    </div>
    @endif
    <div class="card mb-4">
        <div class="card-header">
            Products
        </div>
        <ul class="list-group list-group-flush">
            @if (count($user->products) === 0)
            @include('components.empty', [
                'icon' => 'box-open',
                'text' => 'No products made!',
            ])
            @endif
            @foreach ($user->products->take(5) as $product)
            <li class="list-group-item">
                <a href="{{ route('product.done', ['slug' => $product->slug]) }}">
                    <img class="rounded avatar-30 mt-1 ml-2" src="{{ $product->avatar }}" height="50" width="50" />
                </a>
                <a href="{{ route('product.done', ['slug' => $product->slug]) }}" class="ml-2 mr-2 align-text-top font-weight-bold text-dark">
                    {{ $product->name }}
                </a>
            </li>
            @endforeach
        </ul>
        @if (count($user->products) > 5)
        <div class="card-footer">
            <a class="font-weight-bold" href="{{ route('user.products', ['username' => $user->username]) }}">
                {{ count($user->products) - 5 }} more Products
            </a>
        </div>
        @endif
    </div>
    @include('components.footer')
</div>